RoutesSkillsSkillidFiles

/skills/{skillId}/files

Replace the files of a skill in one transaction and return the file list and updatedAt, keeping SKILL.md if omitted

PUT
/skills/{skillId}/files
AuthorizationBearer <token>

In: header

Path Parameters

skillId*string

Request Body

application/json

files*array<>

Replace all files: maximum 512 files and 4 MiB, including SKILL.md. Delete stored files omitted from the set. Keep the stored SKILL.md if omitted

Response Body

application/json

curl -X PUT "https://YOUR_ORG_ID.s.gatana.ai/api/v1/skills/string/files" \  -H "Content-Type: application/json" \  -d '{    "files": [      {        "path": "string",        "encoding": "utf8",        "content": "string"      }    ]  }'
{
  "files": [
    {
      "path": "string",
      "sizeBytes": 0,
      "digest": "string",
      "mimeType": "string"
    }
  ],
  "updatedAt": "string"
}